Copyright (C) 2008 Javier Valencia

======== README =====================
===============================

	Contents:
		1) What is "gtrayicon"?
		2) Requirements
		3) Compiling
		4) Installing
		5) Uninstalling
		6) Bugs / Contact

===============================

1) What is "gtrayicon"?

	gtrayicon is a generic status icon (user configurable) for the Gnome Desktop.
	You can set the actions and icons for each state (activate / deactivate).
	
	Check included help with "--help" parameter.
	
	Example:
		
		Activate action: start webfs (web server) setting a pid file
		Deactivate action: kill that webfs instance
		
		gtrayicon \
			--activate="/usr/bin/webfsd -k /tmp/pid.file -r /var/www" \
			--deactivate="cat /tmp/pid.file | xargs -ipid kill -TERM pid" \

	It's coded in C and Gtk+/Glade and it's very small, about 150 C lines.
	

2) Requirements

	gtrayicon needs the following packages:
	
		- Linux operating system and compatibles
		- Gcc compiler
		- Gtk+2 (runtime and dev)
		- libglade-2 (runtime and dev)


3) Compiling

	gtrayicon includes a simple makefile. To compile gtrayicon type the following command:
	
		- make
		

4) Installing

	gtrayicon will be installed in /usr prefix by default. To install type:

		- sudo make install

	The installed binary is called "gtrayicon".


5) Uninstalling

	To uninstall type:
	
		- sudo make uninstall


6) If you find a bug or want to send a patch, just send an email at:

	- javiervalencia80@gmail.com


